package com.qmth.teachcloud.report.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: GradeDistributeResult
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/23
 */
public class GradeDistributeFinalResult implements Serializable {

    @ApiModelProperty(value = "SurveyTeacherExamCourseResult")
    private SurveyTeacherExamCourseResult scoreAndRate;

    @ApiModelProperty(value = "GradeDistributeResult")
    private List<GradeDistributeResult> grades;

    public GradeDistributeFinalResult() {

    }

    public GradeDistributeFinalResult(SurveyTeacherExamCourseResult scoreAndRate, List<GradeDistributeResult> grades) {
        this.scoreAndRate = scoreAndRate;
        this.grades = grades;
    }

    public SurveyTeacherExamCourseResult getScoreAndRate() {
        return scoreAndRate;
    }

    public void setScoreAndRate(SurveyTeacherExamCourseResult scoreAndRate) {
        this.scoreAndRate = scoreAndRate;
    }

    public List<GradeDistributeResult> getGrades() {
        return grades;
    }

    public void setGrades(List<GradeDistributeResult> grades) {
        this.grades = grades;
    }
}
